| OpenMS 2.5.0

SpectraSTSearchAdapter

This util provides an interface to the 'SEARCH' mode of the SpectraST program. All non-advanced parameters of the executable of SpectraST were translated into parameters of this util.

SpectraST: Version: 5

The command line parameters of this tool are:

    SpectraSTSearchAdapter -- Interface to the SEARCH Mode of the SpectraST executable

    Full documentation: http://www.openms.de/documentation/UTILS_SpectraSTSearchAdapter.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      SpectraSTSearchAdapter <options>

    Options (mandatory options marked with '*'):

      -executable <path>*                                                            Path to the SpectraST execut

                                                                                     able to use; may be empty

                                                                                     if the executable is globall

                                                                                     y available.

      -spectra_files <SearchFileName1> [ <SearchFileName2> ... <SearchFileNameN> ]*  File names(s) of spectra to

                                                                                     be searched. (valid formats:

                                                                                     'mzML', 'mzXML', 'mzData',

                                                                                     'dta', 'msp')

      -output_files <OutputFile1> [ <OutputFileName2> ... <OutputFileNameN> ]*       Output files. Make sure to

                                                                                     specify one output file for

                                                                                     each input file (valid forma

                                                                                     ts: 'txt', 'tsv', 'pep.xml',

                                                                                     'xml', 'pepXML', 'html')

      -library_file <lib_file>.splib*                                                Specify library file. (valid

                                                                                     formats: 'splib')

      -sequence_database_file <sequencedb_file>.fasta                                The sequence database. (vali

                                                                                     d formats: 'fasta')

      -sequence_database_type <sequencedb_type>                                      Specify type of sequence

                                                                                     database (default: 'AA' vali

                                                                                     d: 'DNA', 'AA')

      -search_file <search_file>                                                     Only search a subset of the

                                                                                     query spectra in the search

                                                                                     file (valid formats: 'txt',

                                                                                     ' dat')

      -params_file <params_file>                                                     Read search options from

                                                                                     file. All options set in

                                                                                     the file will be overridden

                                                                                     by command-line options, if

                                                                                     specified. (valid formats:

                                                                                     'params')

      -precursor_mz_tolerance <precursor_mz_tolerance>                               M/z (in Th) tolerance within

                                                                                     which candidate entries

                                                                                     are compared to the query.

                                                                                     Monoisotopic mass is assumed

                                                                                     . (default: '3.0' min: '0.0'

                                                                                     )

    Common UTIL options:

      -ini <file>                                                                    Use the given TOPP INI file

      -threads <n>                                                                   Sets the number of threads

                                                                                     allowed to be used by the

                                                                                     TOPP tool (default: '1')

      -write_ini <file>                                                              Writes the default configura

                                                                                     tion file

      --help                                                                         Shows options

      --helphelp                                                                     Shows all options (including

                                                                                     advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+SpectraSTSearchAdapter Interface to the SEARCH Mode of the SpectraST executable
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'SpectraSTSearchAdapter'
executable spectrast Path to the SpectraST executable to use; may be empty if the executable is globally available.input file
spectra_files[] File names(s) of spectra to be searched.input file*.mzML,*.mzXML,*.mzData,*.dta,*.msp
output_files[] Output files. Make sure to specify one output file for each input file output file*.txt,*.tsv,*.pep.xml,*.xml,*.pepXML,*.html
library_file Specify library file.input file*.splib
sequence_database_file The sequence database.input file*.fasta
sequence_database_type AA Specify type of sequence database DNA,AA
search_file Only search a subset of the query spectra in the search file input file*.txt,*. dat
params_file Read search options from file. All options set in the file will be overridden by command-line options, if specified.input file*.params
precursor_mz_tolerance 3.0 m/z (in Th) tolerance within which candidate entries are compared to the query. Monoisotopic mass is assumed.0.0:∞
use_isotopically_averaged_mass false Use isotopically averaged mass instead of monoisotopic mass true,false
use_all_charge_states false Search library spectra of all charge states, i.e., ignore specified charge state (if any) of the query spectrum true,false
user_mod_file Specify name of user-defined modifications file. Default is "spectrast.usermods".input file
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false